<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="17156" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="17126"/>
        <capability name="Named colors" minToolsVersion="9.0"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="SFProText-Semibold.otf">
            <string>SFProText-Semibold</string>
        </array>
    </customFonts>
    <scenes>
        <!--Login Form Controller-->
        <scene sceneID="HI5-iF-lHR">
            <objects>
                <viewController storyboardIdentifier="LoginFormController" id="60z-Zz-6RG" customClass="LoginFormController" customModule="MovieCodingChallenge" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="WPT-Jr-6Za">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="808"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <scrollView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="wkc-XA-zCn">
                                <rect key="frame" x="0.0" y="0.0" width="414" height="808"/>
                                <subviews>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="lmW-Nj-30v">
                                        <rect key="frame" x="0.0" y="0.0" width="414" height="376.5"/>
                                        <subviews>
                                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" translatesAutoresizingMaskIntoConstraints="NO" id="eck-ia-9qH">
                                                <rect key="frame" x="20" y="0.0" width="374" height="356.5"/>
                                                <subviews>
                                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="1000" verticalCompressionResistancePriority="1000" text="Welcome Back" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="qhl-2l-Gbu" customClass="APLabelLargeTitle" customModule="MovieCodingChallenge" customModuleProvider="target">
                                                        <rect key="frame" x="0.0" y="0.0" width="374" height="38.5"/>
                                                        <fontDescription key="fontDescription" type="boldSystem" pointSize="32"/>
                                                        <nil key="textColor"/>
                                                        <nil key="highlightedColor"/>
                                                    </label>
                                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="a22-vp-RsQ" userLabel="Spacer">
                                                        <rect key="frame" x="0.0" y="38.5" width="374" height="24"/>
                                                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" relation="greaterThanOrEqual" constant="8" id="py5-GV-143"/>
                                                            <constraint firstAttribute="height" priority="999" constant="24" id="xdu-iY-evv"/>
                                                        </constraints>
                                                    </view>
                                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="1000" verticalCompressionResistancePriority="1000" text="Enter password to log into " textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="4px-TA-ilA" customClass="APLabelBody" customModule="MovieCodingChallenge" customModuleProvider="target">
                                                        <rect key="frame" x="0.0" y="62.5" width="374" height="20.5"/>
                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                        <nil key="textColor"/>
                                                        <nil key="highlightedColor"/>
                                                    </label>
                                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="T17-wb-rFw" userLabel="Spacer">
                                                        <rect key="frame" x="0.0" y="83" width="374" height="2"/>
                                                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" constant="2" id="Se2-Sd-RNu"/>
                                                        </constraints>
                                                    </view>
                                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="1000" verticalCompressionResistancePriority="1000" text="Email@emailaddress.com.au" textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="BgR-sa-nOa" customClass="APLabelBodyMedium" customModule="MovieCodingChallenge" customModuleProvider="target">
                                                        <rect key="frame" x="0.0" y="85" width="374" height="20.5"/>
                                                        <fontDescription key="fontDescription" name="SFProText-Semibold" family="SF Pro Text" pointSize="17"/>
                                                        <nil key="textColor"/>
                                                        <nil key="highlightedColor"/>
                                                    </label>
                                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="OQz-i4-1lp" userLabel="Spacer">
                                                        <rect key="frame" x="0.0" y="105.5" width="374" height="52"/>
                                                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" priority="250" constant="52" id="Qc1-yL-CnG"/>
                                                            <constraint firstAttribute="height" relation="greaterThanOrEqual" constant="20" id="Req-F6-6mA"/>
                                                            <constraint firstAttribute="height" relation="lessThanOrEqual" constant="52" id="pUI-UC-SG9"/>
                                                        </constraints>
                                                    </view>
                                                    <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" placeholder="Password" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="XPr-1C-baK" customClass="APPasswordField" customModule="MovieCodingChallenge" customModuleProvider="target">
                                                        <rect key="frame" x="0.0" y="157.5" width="374" height="80"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" relation="greaterThanOrEqual" constant="80" id="63x-eh-5UM"/>
                                                            <constraint firstAttribute="height" priority="250" constant="80" id="tiZ-Qq-W1b"/>
                                                        </constraints>
                                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                                        <textInputTraits key="textInputTraits" autocorrectionType="no" spellCheckingType="no" secureTextEntry="YES" textContentType="password"/>
                                                    </textField>
                                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="1CG-Wg-2et" userLabel="Spacer">
                                                        <rect key="frame" x="0.0" y="237.5" width="374" height="65"/>
                                                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" relation="lessThanOrEqual" constant="65" id="GjO-lz-C1j"/>
                                                            <constraint firstAttribute="height" relation="greaterThanOrEqual" constant="16" id="eDv-K6-qUH"/>
                                                            <constraint firstAttribute="height" priority="250" constant="65" id="fNr-Tj-QuP"/>
                                                        </constraints>
                                                    </view>
                                                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="oYU-Kk-MXV" customClass="APButtonText" customModule="MovieCodingChallenge" customModuleProvider="target">
                                                        <rect key="frame" x="0.0" y="302.5" width="374" height="54"/>
                                                        <constraints>
                                                            <constraint firstAttribute="height" priority="999" constant="54" id="DFl-dX-XKh"/>
                                                            <constraint firstAttribute="height" relation="greaterThanOrEqual" constant="30" id="HrD-NR-wv7"/>
                                                        </constraints>
                                                        <fontDescription key="fontDescription" type="system" weight="semibold" pointSize="17"/>
                                                        <state key="normal" title="Forgot Password"/>
                                                        <connections>
                                                            <action selector="passwordResetButtonTapped:" destination="60z-Zz-6RG" eventType="touchUpInside" id="kX4-ga-wk8"/>
                                                        </connections>
                                                    </button>
                                                </subviews>
                                            </stackView>
                                        </subviews>
                                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                        <constraints>
                                            <constraint firstAttribute="trailing" secondItem="eck-ia-9qH" secondAttribute="trailing" constant="20" id="9DG-7c-yVH"/>
                                            <constraint firstItem="eck-ia-9qH" firstAttribute="leading" secondItem="lmW-Nj-30v" secondAttribute="leading" constant="20" id="AcV-rH-4Rq"/>
                                            <constraint firstItem="eck-ia-9qH" firstAttribute="top" secondItem="lmW-Nj-30v" secondAttribute="top" id="QFR-yy-sj8"/>
                                            <constraint firstAttribute="bottom" secondItem="eck-ia-9qH" secondAttribute="bottom" constant="20" id="cFe-Tb-kmy"/>
                                        </constraints>
                                    </view>
                                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="vxR-qg-xKx">
                                        <rect key="frame" x="16" y="704" width="382" height="54"/>
                                        <subviews>
                                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="aJz-Q5-49q" customClass="APButtonPrimary" customModule="MovieCodingChallenge" customModuleProvider="target">
                                                <rect key="frame" x="0.0" y="0.0" width="382" height="54"/>
                                                <color key="backgroundColor" name="Deprecated_Blue_2C66D5"/>
                                                <constraints>
                                                    <constraint firstAttribute="height" constant="54" id="0eS-9w-PgT"/>
                                                </constraints>
                                                <fontDescription key="fontDescription" type="system" weight="medium" pointSize="17"/>
                                                <state key="normal" title="Continue">
                                                    <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                                </state>
                                                <connections>
                                                    <action selector="continueButtonTapped:" destination="60z-Zz-6RG" eventType="touchUpInside" id="UWs-54-Mfb"/>
                                                </connections>
                                            </button>
                                        </subviews>
                                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                        <constraints>
                                            <constraint firstItem="aJz-Q5-49q" firstAttribute="top" secondItem="vxR-qg-xKx" secondAttribute="top" id="7Ur-eY-E3v"/>
                                            <constraint firstAttribute="trailing" secondItem="aJz-Q5-49q" secondAttribute="trailing" id="cKP-W6-e7J"/>
                                            <constraint firstAttribute="bottom" secondItem="aJz-Q5-49q" secondAttribute="bottom" id="cSM-25-6D2"/>
                                            <constraint firstItem="aJz-Q5-49q" firstAttribute="leading" secondItem="vxR-qg-xKx" secondAttribute="leading" id="n24-1U-wA5"/>
                                        </constraints>
                                    </view>
                                </subviews>
                                <constraints>
                                    <constraint firstItem="lmW-Nj-30v" firstAttribute="leading" secondItem="wkc-XA-zCn" secondAttribute="leading" id="0da-m6-gsn"/>
                                    <constraint firstItem="vxR-qg-xKx" firstAttribute="top" relation="greaterThanOrEqual" secondItem="oYU-Kk-MXV" secondAttribute="bottom" constant="20" id="EHY-vI-69G"/>
                                    <constraint firstAttribute="bottom" secondItem="lmW-Nj-30v" secondAttribute="bottom" id="FvR-8V-u1R"/>
                                    <constraint firstAttribute="trailing" secondItem="vxR-qg-xKx" secondAttribute="trailing" constant="16" id="Vaa-p8-NUi"/>
                                    <constraint firstItem="lmW-Nj-30v" firstAttribute="top" secondItem="wkc-XA-zCn" secondAttribute="top" id="YVO-6h-G8I"/>
                                    <constraint firstItem="vxR-qg-xKx" firstAttribute="leading" secondItem="wkc-XA-zCn" secondAttribute="leading" constant="16" id="q4N-0Z-kA1"/>
                                    <constraint firstAttribute="trailing" secondItem="lmW-Nj-30v" secondAttribute="trailing" id="upG-6r-wxx"/>
                                </constraints>
                                <viewLayoutGuide key="contentLayoutGuide" id="tAe-dt-txI"/>
                                <viewLayoutGuide key="frameLayoutGuide" id="Pho-GE-n2d"/>
                            </scrollView>
                        </subviews>
                        <viewLayoutGuide key="safeArea" id="dxr-3U-Ulq"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="lmW-Nj-30v" firstAttribute="width" secondItem="WPT-Jr-6Za" secondAttribute="width" id="G7R-UF-gEO"/>
                            <constraint firstItem="wkc-XA-zCn" firstAttribute="bottom" secondItem="WPT-Jr-6Za" secondAttribute="bottom" id="LnC-hp-j4f"/>
                            <constraint firstItem="dxr-3U-Ulq" firstAttribute="trailing" secondItem="wkc-XA-zCn" secondAttribute="trailing" id="QE4-CO-XbF"/>
                            <constraint firstItem="wkc-XA-zCn" firstAttribute="top" secondItem="dxr-3U-Ulq" secondAttribute="top" id="arR-rQ-NWj"/>
                            <constraint firstItem="wkc-XA-zCn" firstAttribute="leading" secondItem="dxr-3U-Ulq" secondAttribute="leading" id="bG0-jr-ejw"/>
                            <constraint firstItem="dxr-3U-Ulq" firstAttribute="bottom" secondItem="vxR-qg-xKx" secondAttribute="bottom" constant="16" id="kHX-Zk-YiA" customClass="KeyboardLayoutConstraint" customModule="MovieCodingChallenge" customModuleProvider="target"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" id="QCo-6I-gQq"/>
                    <simulatedNavigationBarMetrics key="simulatedTopBarMetrics" translucent="NO" prompted="NO"/>
                    <connections>
                        <outlet property="contentView" destination="lmW-Nj-30v" id="HIj-lr-DoL"/>
                        <outlet property="continueButton" destination="aJz-Q5-49q" id="zC8-PA-LmW"/>
                        <outlet property="passwordField" destination="XPr-1C-baK" id="dtj-wB-ZsP"/>
                        <outlet property="passwordResetButton" destination="oYU-Kk-MXV" id="GLq-xx-aDr"/>
                        <outlet property="scrollView" destination="wkc-XA-zCn" id="sRQ-rY-flc"/>
                        <outlet property="usernameLabel" destination="BgR-sa-nOa" id="YcN-9c-2qU"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Chm-oL-gNG" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2037.68115942029" y="272.54464285714283"/>
        </scene>
    </scenes>
    <designables>
        <designable name="4px-TA-ilA">
            <size key="intrinsicContentSize" width="202.5" height="20.5"/>
        </designable>
        <designable name="BgR-sa-nOa">
            <size key="intrinsicContentSize" width="239" height="20.5"/>
        </designable>
        <designable name="aJz-Q5-49q">
            <size key="intrinsicContentSize" width="71" height="33"/>
        </designable>
        <designable name="oYU-Kk-MXV">
            <size key="intrinsicContentSize" width="134" height="33"/>
        </designable>
        <designable name="qhl-2l-Gbu">
            <size key="intrinsicContentSize" width="220" height="38.5"/>
        </designable>
    </designables>
    <resources>
        <namedColor name="Deprecated_Blue_2C66D5">
            <color red="0.17254901960784313" green="0.40000000000000002" blue="0.83529411764705885" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </namedColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
